#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "mainwindow.h"
#include <qmath.h>
#include <QPainter>
#include <QTime>
#include <ctime>
#include <QtEvents>
#include <QtGui>
#include <QObject>

#include <QApplication>

QTimer *timer = new QTimer;

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    mAccelerometer = new QAccelerometer(0);
    //mAccelerometer->addFilter(0);
    mAccelerometer->start();


    timer->setInterval(200);
    timer->start();
    connect(timer,SIGNAL(timeout()),this,SLOT(advance()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::advance()
{
    QAccelerometerReading *reading = mAccelerometer->reading();
    QString x = QString::number(reading->x());
    QString y = QString::number(reading->y());
    QString z = QString::number(reading->z());

    ui->label->setText(x + ",   " + y + ",   " + z);

    QFile file("/sys/class/i2c-adapter/i2c-3/3-001d/coord");
    if (!file.open(QIODevice::ReadOnly | QIODevice::Text))
    {
        return;
    }
    QTextStream in(&file);
    QString data = in.readAll();
    QStringList data_splited = data.split(" ");

    x = data_splited[0];
    y = data_splited[1];
    z = data_splited[2];

    ui->label_2->setText(x + ",   " + y + ",   " + z);
    return;
}
